Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Select

    java.lang.Object
      |
      +--org.hsqldb.Select

class Select
extends Object

Field Summary
`(package private) boolean` | `bDistinct`
`(package private) org.hsqldb.Expression[]` | `eColumn`
`(package private) org.hsqldb.Expression` | `eCondition`
`(package private) final static int` | `EXCEPT`
`(package private) int` | `iGroupLen`
`(package private) final static int` | `INTERSECT`
`(package private) int` | `iOrderLen`
`(package private) int` | `iResultLen`
`(package private) int` | `iUnionType`
`(package private) java.lang.String` | `sIntoTable`
`(package private) org.hsqldb.Select` | `sUnion`
`(package private) org.hsqldb.TableFilter[]` | `tFilter`
`(package private) final static int` | `UNION`
`(package private) final static int` | `UNIONALL`

Constructor Summary
`(package private)` | `Select()`

Method Summary
`(package private) void` | `checkResolved()`
`(package private) org.hsqldb.Result` | `getResult(int )`
`(package private) java.lang.Object` | `getValue(int )`
`(package private) void` | `resolve()`
`(package private) void` | `resolve(org.hsqldb.TableFilter , boolean )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### bDistinct

    boolean bDistinct

### eColumn

    org.hsqldb.Expression[] eColumn

### eCondition

    org.hsqldb.Expression eCondition

### EXCEPT

    final static int EXCEPT

### iGroupLen

    int iGroupLen

### INTERSECT

    final static int INTERSECT

### iOrderLen

    int iOrderLen

### iResultLen

    int iResultLen

### iUnionType

    int iUnionType

### sIntoTable

    java.lang.String sIntoTable

### sUnion

    org.hsqldb.Select sUnion

### tFilter

    org.hsqldb.TableFilter[] tFilter

### UNION

    final static int UNION

### UNIONALL

    final static int UNIONALL

Constructor Detail

### Select

    Select()

Method Detail

### checkResolved

    void checkResolved()

### getResult

    org.hsqldb.Result getResult(int )

### getValue

    java.lang.Object getValue(int )

### resolve

    void resolve()

### resolve

    void resolve(org.hsqldb.TableFilter , boolean )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD